
//alert("start...");

var updateStep = function(step)
{
  alert(step);

  window.bridge.slot_debug("html recv status : " + status);
}

new QWebChannel(qt.webChannelTransport,
                function(channel)
{
  //alert(channel);

  var WebObject = channel.objects.WebObject;
  window.bridge = WebObject;


  //alert(window.bridge);
  
  WebObject.sig_stepChanged.connect(updateStep);
  
  //WebObject.sig_nameChanged.connect(function(text){alert(text); alert(window.bridge.name)});
  //WebObject.sig_ageChanged.connect(function(age){alert(age); alert(window.bridge.age)});
  WebObject.SendToHtml.connect(function(text){alert(text);});
  window.bridge.slot_debug("html load ok ");
  //alert(window.bridge);
}
);


//alert("end...");
